Bug 249236 - Review Request: kde-style-domino - KDE style with a soft look
Review Request: kde-style-domino - KDE style with a soft look
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chitlesh GOORAH
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-07-23 01:57 EDT by Kelly Miller
Modified: 2008-09-04 12:56 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-04-18 16:30:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Kelly Miller 2007-07-23 01:57:15 EDT
Spec URL: http://crystalsanctuary.rpgsource.net/packages/specs/kde-style-domino.spec
SRPM URL: http://crystalsanctuary.rpgsource.net/packages/source/kde-style-domino-0.4-2.fc7.src.rpm
Description: Domino is a style with a soft look. It allows to fine adjust the shininess of the widgets by customizable color gradients..
Comment 1 Chitlesh GOORAH 2007-09-04 14:57:33 EDT
I'm taking this review.
Can you update the spec in accordance to fedora packaging guidelines ?

a quick look :
#001 upstream naming convention 
fedora kde sig hasn't yet formalized the us of kde-style-XXX
thus you can drop : -n domino-%{version} from %setup

#002 correct License tag

#003: >= 3.0.0 be removed from BuildRequires:
As FC6 already has a KDE > 3.

#004: remove qt-devel from the BuildRequires:
As kdelibs-devel already requires qt-devel
rpm -qR kdelibs-devel
Comment 2 Chitlesh GOORAH 2007-09-07 09:48:34 EDT
ping kelly ?
Comment 3 Kelly Miller 2007-09-07 13:38:46 EDT
Sorry, back in school, you know.  I'll make the adjustments this weekend.
Comment 4 Filip Brcic 2007-09-27 16:29:27 EDT
Just for the record, here is the amd64 package for the domino style:


Btw, Goorah, I think that kde-style-* and gnome-style-* are good and 
descriptive names for various styles. If that is the case, I can do a yum 
list 'kde-style-*' and get all styles for kde that are available. Otherwise, I 
would either have to know exactly what I am looking for (such as domino) or use 
some GUI package manager to find an appropriate group for the KDE styles.

Comment 5 Jakub 'Livio' Rusinek 2007-11-17 05:43:07 EST
I think this package's name should be domino, like polyester style...
Comment 6 Jakub 'Livio' Rusinek 2007-11-17 05:45:11 EST
Also in line below you could change domino with %{name} amd 0.4 with %{version}.

Source0: http://www.kde-look.org/CONTENT/content-files/42804-domino-0.4.tar.bz2
Comment 7 Jakub 'Livio' Rusinek 2007-11-17 05:47:53 EST
OMG, next issue: doubled %changelog line.
Comment 8 Jakub 'Livio' Rusinek 2007-12-02 07:31:43 EST
I really shouldn't.

Spec URL: http://liviopl.fedorapeople.org/domino.spec
SRPM URL: http://liviopl.fedorapeople.org/domino-0.4-3.fc8.src.rpm
Comment 9 Benoît Marcelin 2007-12-20 09:56:54 EST
BR should be kdebase3-devel because during compilation it use an header from
kdebase3, and kdebase-devel require kdelibs-devel

Secondly, according to guidelines packages should do not have any *.la file

And thirdly please use desktop-file-install to put the domino.desktop
Comment 10 Chitlesh GOORAH 2007-12-20 10:00:51 EST

kde window decorators are somehow special.

They need *.la files and their *.desktop are not intended for KDE/Gnome menus.
Comment 11 Rex Dieter 2007-12-20 10:06:56 EST
For a more complete, headache-inducing explanation of .la files and kde, see also:
Comment 12 Chitlesh GOORAH 2007-12-30 11:10:20 EST
Please note that this package can only be available for the following branch:
* F-7
* F-8

KDE4 will be in F-9. So, domino should be ported to KDE4 so that it could be
approved for F-9.
Comment 13 Benoît Marcelin 2008-01-05 14:53:10 EST
It doesn't build on mock. rpmlint are Ok.
Some issues that should be fixed:
- No pseudonyms. Use your real name and your personal/fedoraproject email.
- Don't use empty file for the doc (NEWS & README)
- Put all .la file on a -devel package (I have seen .la on -libs kde-packages,
it's better ?)
- Use "3" suffix to kde-packages (if possible)
- Build require /usr/lib/libkdecorations.la (kdebase-libs)
   require /usr/include/kde/kcommondecoration.h (kdebase3-devel who require
kdebase-libs, and kdelibs3-devel)
- call ldconfig in %post & %postun

Please note that + items are OK, - items should be fixed or justified, ~ items
needs further investigation.

* MUST items
+ Respect naming guidelines.
+ License: GPLv2 OK
+ The spec file must be written in American English.
+ The spec file for the package MUST be legible.
+ The sources used to build the package must match the upstream source, as
provided in the spec URL. Reviewers should use md5sum for this task. If no
upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.
+ Compile on i386 and x86_64 at least.
+ locales are properly handled.
- Every binary RPM package which stores shared library files (not just symlinks)
in any of the dynamic linker's default paths, must call ldconfig in %post and
+ Not relocatable.
+ A package must own all directories that it creates.
+ A package must not contain any duplicate files in the %files listing.
+ Permissions on files must be set properly. 
+ Each package must have a %clean section, which contains rm -rf %{buildroot}
+ Each package must consistently use macros, as described in the macros section
of Packaging Guidelines.
+ The package must contain code, or permissable content. 
+ Large documentation files should go in a -doc subpackage. (The definition of
large is left up to the packager's best judgement, but is not restricted to
size. Large can refer to either size or quantity)
+ If a package includes something as %doc, it must not affect the runtime of the
+ Header files must be in a -devel package.
+ Static libraries must be in a -static package.
+ Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for
directory ownership and usability).
+ If a package contains library files with a suffix (e.g. libfoo.so.1.1), then
library files that end in .so (without suffix) must go in a -devel package.
~ In the vast majority of cases, devel packages must require the base package
using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
~ Packages must NOT contain any .la libtool archives, these should be removed in
the spec.
+ Packages containing GUI applications must include a %{name}.desktop file, and
that file must be properly installed with desktop-file-install in the %install
+ Packages must not own files or directories already owned by other packages.  
+ At the beginning of %install, each package MUST run rm -rf %{buildroot} (or
+ All filenames in rpm packages must be valid UTF-8.

+ Includes licenses text.
+ The description and summary sections in the package spec file should contain
translations for supported Non-English languages, if available.
- Builds in mock
~ runs without segmentation faults
+ The placement of pkgconfig(.pc) files depends on their usecase, and this is
usually for development purposes, so should be placed in a -devel pkg. A
reasonable exception is that the main pkg itself is a devel tool not installed
in a user runtime, e.g. gcc or gdb.
+ No scriptlets.
~ If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin,
or /usr/sbin consider requiring the package which provides the file instead of
the file itself. Please see File Dependencies in the Guidelines for further
Comment 14 Chitlesh GOORAH 2008-01-19 10:27:32 EST
ping kelly !
Comment 15 Thomas Moschny 2008-01-24 05:09:00 EST
What's the status of this package?

(In reply to comment #13)
> It doesn't build on mock. rpmlint are Ok.

Which spec/srpm are you referring to?

The one made by Kelly or the the one made by  
http://liviopl.fedorapeople.org/domino.spec ?

> Some issues that should be fixed:
> - Put all .la file on a -devel package

.la files are special and needed for kde addon packages. This has been 
explained earlier. Same for .desktop here.

> - Use "3" suffix to kde-packages (if possible)

Don't think so, as this package is going to be approved for F-7 and F-8 only.

> - Build require /usr/lib/libkdecorations.la (kdebase-libs)
>    require /usr/include/kde/kcommondecoration.h (kdebase3-devel who require
> kdebase-libs, and kdelibs3-devel)

Should be "BuildRequires: kdebase-devel".

> - call ldconfig in %post & %postun

Not needed, as %{_libdir}/kde3 is not one of the dynamic linker's default 
Comment 16 Chitlesh GOORAH 2008-02-10 05:02:10 EST
Ping ?
Comment 17 Chitlesh GOORAH 2008-04-18 16:30:05 EDT
Inactive. closing.

Note You need to log in before you can comment on or make changes to this bug.